package ru.yandex.autotests.directapi.darkside.datacontainers.jsonrpc.metrica;

import com.fasterxml.jackson.annotation.JsonProperty;
import ru.yandex.autotests.irt.testutils.json.JsonUtils;

/**
 * User: omaz
 * Date: 18.11.13
 * контейнер для запроса к metrica_get_groups
 */
public class MetricaGroupRequestData {
    private Long groupID;
    private Integer orderID;

    public MetricaGroupRequestData(Long groupID, Integer orderID) {
        this.groupID = groupID;
        this.orderID = orderID;
    }

    @JsonProperty("GroupID")
    public Long getGroupID() {
        return this.groupID;
    }

    @JsonProperty("OrderID")
    public Integer getOrderID() {
        return this.orderID;
    }

    @Override
    public String toString() {
        return JsonUtils.toString(this);
    }
}
